/**
 * \file /gui/tandem_run_dialog/tandem_run_dialog.h
 * \date 31/8/2017
 * \author Olivier Langella
 * \brief dialog window to launch tandem process
 */

/*******************************************************************************
* Copyright (c) 2017 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/
#ifndef TANDEMRUNDIALOG_H
#define TANDEMRUNDIALOG_H


#include <QDialog>
#include <QStringListModel>
#include "../../core/tandem_run/tandemrunbatch.h"

namespace Ui {
class TandemRunDialog;
}


class TandemRunDialog : public QDialog
{
    Q_OBJECT

public:
    explicit TandemRunDialog(QWidget * parent);
    ~TandemRunDialog();

    TandemRunBatch getTandemRunBatch() const;
    void reset();
public slots:
    void selectFastaFiles();
    void clearFastaFiles();
    void selectMzFiles();
    void selectOutputDirectory();
    void selectPresetDirectory();
    void setPresetName(QString preset_name);
signals:

private:
    void fillPresetComboBox();
private:
    Ui::TandemRunDialog *ui;
    QStringListModel * _p_fasta_file_list;
    QStringListModel * _p_mz_file_list;
    QString _previous_preset_file;

};

#endif // TANDEMRUNDIALOG_H
